var KEY_BORRAR="KEY_BAJA";





function ponAccion(key){

	

	if (key==KEY_BORRAR){

		if(confirm(msgBorrar)){

			document.forms["formListadoAgentes"].accion.value=key;

			submmitFormulario(key);

		}else{

			return;

		}

	}

	else

	{

		document.forms["formListadoAgentes"].accion.value=key;

		submmitFormulario(key);

	}

}



function onLoadPage(){

		

	if(document.forms[0].idAgente!=null) {

		if(document.forms[0].idAgente.length == undefined){ //solo hay uno

			document.forms[0].idAgente.checked=true;

		}else{

			document.forms[0].idAgente[0].checked=true;

		}

		document.forms["formListadoAgentes"].borrar.disabled=false;

		document.forms["formListadoAgentes"].modificacion.disabled=false;

		document.forms["formListadoAgentes"].consulta.disabled=false;

	} else {

		document.forms["formListadoAgentes"].borrar.disabled=true;

		document.forms["formListadoAgentes"].modificacion.disabled=true;

		document.forms["formListadoAgentes"].consulta.disabled=true;

	}



	if(document.forms[0].idAgente!=null && document.forms[0].idAgente.length != undefined)

		document.forms[0].idAgente[0].focus();

	else document.forms["formListadoAgentes"].alta.focus();

	

	

	

}



function submmitFormulario(key){

	document.forms["formListadoAgentes"].submit();

}